Subject: Re: [v2, 1/2] powerpc/perf: Update perf_regs structure to include SIER

From: Michael Ellerman <[email-masked]>
Date: Sat, 22 Dec 2018 20:54:36 +1100 (AEDT)

On Sun, 2018-12-09 at 09:25:35 UTC, Madhavan Srinivasan wrote:
> On each sample, Sample Instruction Event Register (SIER) content
> is saved in pt_regs. SIER does not have a entry as-is in the pt_regs
> but instead, SIER content is saved in the "dar" register of pt_regs.
> 
> Patch adds another entry to the perf_regs structure to include the "SIER"
> printing which internally maps to the "dar" of pt_regs.
> 
> It also check for the SIER availability in the platform and present
> value accordingly
> 
> Signed-off-by: Madhavan Srinivasan <[email-masked]>

Applied to powerpc next, thanks.

https://git.kernel.org/powerpc/c/333804dc3b7a92158ab63a48febff0

cheers